# Uses of Interface
org.eclipse.birt.report.engine.api.script.element.IHideRule

Packages that use IHideRule
Package
Description
org.eclipse.birt.report.engine.api.script.element
Report element representations in the BIRT scripting environment.

## Uses of IHideRule in org.eclipse.birt.report.engine.api.script.element

Methods in org.eclipse.birt.report.engine.api.script.element that return IHideRule
Modifier and Type
Method
Description
`IHideRule`
IReportDesign.`createHideRule()`
Create `IHideRule` instance
`IHideRule`
IScriptAPIFactory.`createHideRule()`
Deprecated.
Create `IHideRule` instance
`IHideRule`
ScriptAPIFactory.`createHideRule()`
Deprecated.
`static IHideRule`
StructureScriptAPIFactory.`createHideRule()`
Deprecated.
Create `IHideRule` instance
`IHideRule[]`
IColumn.`getHideRules()`
Returns array of hide rule expression
`IHideRule[]`
IReportItem.`getHideRules()`
Returns array of hide rule expression
`IHideRule[]`
IRow.`getHideRules()`
Returns array of hide rule expression
Methods in org.eclipse.birt.report.engine.api.script.element with parameters of type IHideRule
Modifier and Type
Method
Description
`void`
IColumn.`addHideRule(IHideRule rule)`
Add HideRule
`void`
IReportItem.`addHideRule(IHideRule rule)`
Add HideRule
`void`
IRow.`addHideRule(IHideRule rule)`
Add HideRule
`void`
IColumn.`removeHideRule(IHideRule rule)`
Removes all hide rules that matches formatType.
`void`
IReportItem.`removeHideRule(IHideRule rule)`
Removes all hide rules that matches formatType.
`void`
IRow.`removeHideRule(IHideRule rule)`
Removes all hide rules that matches formatType.